Bug 24951 - Payout modal confirm button should have an ID
Summary: Payout modal confirm button should have an ID
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 24080
Blocks: 13985
  Show dependency treegraph
 
Reported: 2020-03-23 12:12 UTC by Martin Renvoize
Modified: 2020-04-03 21:47 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24951: Add id to payout modal confirm button (1.49 KB, patch)
2020-03-23 12:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24951: Add id to payout modal confirm button (1.54 KB, patch)
2020-03-23 17:26 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24951: Add id to payout modal confirm button (1.60 KB, patch)
2020-03-24 07:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-03-23 12:12:42 UTC
Sometimes people wish to override the payout confirmation button, for example to open a cash register via JS.. as such it's helpful to have an ID for the button.
Comment 1 Martin Renvoize 2020-03-23 12:49:38 UTC
Created attachment 101440 [details] [review]
Bug 24951: Add id to payout modal confirm button

This patch adds an ID to the payout confirmation modal on the
borrower account details page.

Test plan:
1/ Apply patch
2/ Attempt to issue a payout to a patron
3/ Inspect the page and note the presence of an ID for the confirm
   button
4/ Signoff
Comment 2 Lucas Gass 2020-03-23 17:26:25 UTC
Created attachment 101478 [details] [review]
Bug 24951: Add id to payout modal confirm button

This patch adds an ID to the payout confirmation modal on the
borrower account details page.

Test plan:
1/ Apply patch
2/ Attempt to issue a payout to a patron
3/ Inspect the page and note the presence of an ID for the confirm
   button
4/ Signoff

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-03-24 07:41:52 UTC
Created attachment 101504 [details] [review]
Bug 24951: Add id to payout modal confirm button

This patch adds an ID to the payout confirmation modal on the
borrower account details page.

Test plan:
1/ Apply patch
2/ Attempt to issue a payout to a patron
3/ Inspect the page and note the presence of an ID for the confirm
   button
4/ Signoff

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-03-24 11:34:08 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-03 21:47:14 UTC
not backported to 19.11.x